Bug 769721 (CVE-2011-4622) - CVE-2011-4622 kernel: kvm: pit timer with no irqchip crashes the system
Summary: CVE-2011-4622 kernel: kvm: pit timer with no irqchip crashes the system
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-4622
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 769550 769634 770100 770101 770102 770103 770104 771387
Blocks: 769699
TreeView+ depends on / blocked
 
Reported: 2011-12-21 21:58 UTC by Petr Matousek
Modified: 2019-09-29 12:49 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-11 17:37:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0051 normal SHIPPED_LIVE Important: kvm security update 2012-01-23 23:56:42 UTC
Red Hat Product Errata RHSA-2012:0350 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2012-03-06 23:43:05 UTC

Description Petr Matousek 2011-12-21 21:58:07 UTC
User space may create the PIT and forgets about setting up the irqchips.
In that case, firing PIT IRQs will crash the host:

    BUG: unable to handle kernel NULL pointer dereference at 0000000000000128
    IP: [<ffffffffa10f6280>] kvm_set_irq+0x30/0x170 [kvm]
    ...
    Call Trace:
     [<ffffffffa11228c1>] pit_do_work+0x51/0xd0 [kvm]
     [<ffffffff81071431>] process_one_work+0x111/0x4d0
     [<ffffffff81071bb2>] worker_thread+0x152/0x340
     [<ffffffff81075c8e>] kthread+0x7e/0x90
     [<ffffffff815a4474>] kernel_thread_helper+0x4/0x10

Reference:
http://permalink.gmane.org/gmane.comp.emulators.kvm.devel/83564

Comment 2 Kurt Seifried 2011-12-21 22:24:56 UTC
Added CVE-2011-4622 as per http://www.openwall.com/lists/oss-security/2011/12/21/7

Comment 5 Petr Matousek 2011-12-23 11:10:20 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 770102]

Comment 6 Fedora Update System 2012-01-07 23:05:38 UTC
kernel-3.1.7-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-01-15 19:59:06 UTC
kernel-2.6.41.9-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Petr Matousek 2012-01-18 21:03:13 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 4 and Red Hat Enterprise MRG as they did not provide support for the KVM subsystem. It has been addressed in Red Hat Enterprise 5 and 6 via https://rhn.redhat.com/errata/RHSA-2012-0051.html and https://rhn.redhat.com/errata/RHSA-2012-0350.html.

Comment 9 errata-xmlrpc 2012-01-23 18:58:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0051 https://rhn.redhat.com/errata/RHSA-2012-0051.html

Comment 10 errata-xmlrpc 2012-03-06 18:45:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0350 https://rhn.redhat.com/errata/RHSA-2012-0350.html


Note You need to log in before you can comment on or make changes to this bug.